<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>homework2_alert-prompt-confirm</title>
</head>

<body>
  <script>
    let name = '';
    let age = '';

    do {
      name = prompt('Enter your name please', name);
    } while (name == '' || isFinite(name));

    do {
      age = prompt('Enter your age please', age);
    } while (isNaN(age) || age <= 0);
    age = +age;

    if (age < 18) {
      alert('You are not allowed to visit this website');
    } else if (age >= 18 && age <= 22) {
      confirm('Are you sure you want to continue?') ? alert(`Welcome, ${name}`) : alert('You are not allowed to visit this website');
    } else {
      alert(`Welcome, ${name}`);
    }

  </script>
</body>

</html>